/// <reference types="react" />
import { Store } from "@nexcodepl/react-store";
import { StaticRouteBase, StaticRouteBaseGetData } from "@nexcodepl/vite-static";
export interface RouteDataContextType<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>> {
    globalData: TGlobalData;
    route: TStaticRoute;
    routes: TStaticRoute[];
    routesMap: Record<string, TStaticRoute>;
    routeDataStore: Store<StaticRouteBaseGetData<TRoute> | null>;
    routeData: StaticRouteBaseGetData<TRoute>;
}
interface Props<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>> {
    globalData: TGlobalData;
    route: TStaticRoute;
    routes: TStaticRoute[];
    routeData: StaticRouteBaseGetData<TRoute> | null;
}
export declare function useRouteDataContext<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>>({ globalData, route, routes, routeData: routeDataInit, }: Props<TStaticRoute, TGlobalData, TRoute>): RouteDataContextType<TStaticRoute, TGlobalData, TRoute>;
export declare const RouteDataContext: import("react").Context<RouteDataContextType<any, any, any>>;
export declare function useRouteData<TStaticRoute extends StaticRouteBase<any, any>, TGlobalData, TRoute extends StaticRouteBase<any, any>>(): RouteDataContextType<TStaticRoute, TGlobalData, TRoute>;
export {};
