import { useStore, useStoreState } from "@nexcodepl/react-store";
import { createContext, useContext } from "react";
export function useRouteDataContext({ globalData, route, routes, routeData: routeDataInit, }) {
    const routeDataStore = useStore(routeDataInit);
    const routeData = useStoreState(routeDataStore);
    return {
        globalData,
        route,
        routes,
        routesMap: routes.reduce((m, r) => {
            m[r.id] = r;
            return m;
        }, {}),
        routeDataStore: routeDataStore,
        routeData: routeData,
    };
}
export const RouteDataContext = createContext({});
export function useRouteData() {
    const ctx = useContext(RouteDataContext);
    return ctx;
}
